How can I help you? Start Chat

US Phone: 1-866-488-6691
International Phone: +44-2036087492

  • E-Mail
  • Facebook
  • LinkedIn
  • Twitter

Check Point Advisories

Microsoft Office EPS Remote Code Execution (CVE-2017-0262)

Check Point Reference: CPAI-2017-0406
Date Published: 10 May 2017
Severity: Critical
Last Updated: 18 Jun 2017
Source:
Industry Reference:CVE-2017-0262
Protection Provided by:

Security Gateway
R80, R77, R76, R75

Who is Vulnerable? Microsoft Office 2007 Service Pack 3,
Microsoft Office 2010 Service Pack 2,
Microsoft Office 2010 Service Pack 2 (64-bit)
Microsoft Office 2013 Service Pack 1,
Microsoft Office 2013 Service Pack 1 (64-bit),
Microsoft Office 2016.
Vulnerability Description A remote code execution vulnerability exists in Encapsulated PostScript (EPS) of Microsoft Office. The vulnerability is due to the way that Microsoft Office does not properly handle objects in memory while parsing specially crafted Office files. A remote attacker can exploit this issue by enticing a target user to open a specially crafted Office file.

Protection Overview

This protection detects attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75

  1. In the IPS tab, click Protections and find the Microsoft Office EPS Remote Code Execution (CVE-2017-0262) protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  Content Protection Violation.
Attack Information:  Microsoft Office EPS Remote Code Execution (CVE-2017-0262)